# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "rdtool"
  s.version = "0.6.38"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Youhei SASAKI"]
  s.date = "2012-11-27"
  s.description = "RD is multipurpose documentation format created for documentating Ruby and output of Ruby world. You can embed RD into Ruby script. And RD have neat syntax which help you to read document in Ruby script. On the other hand, RD have a feature for class reference."
  s.email = "uwabami@gfd-dennou.org"
  s.executables = ["rd2", "rdswap.rb"]
  s.files = ["bin/rd2", "bin/rdswap.rb"]
  s.homepage = "http://github.com/uwabami/rdtool"
  s.licenses = ["GPL-2+", "Ruby"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "RDtool is formatter for RD."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<racc>, ["~> 1.4.6"])
      s.add_development_dependency(%q<rake>, [">= 0"])
    else
      s.add_dependency(%q<racc>, ["~> 1.4.6"])
      s.add_dependency(%q<rake>, [">= 0"])
    end
  else
    s.add_dependency(%q<racc>, ["~> 1.4.6"])
    s.add_dependency(%q<rake>, [">= 0"])
  end
end
